package com.engine.kq.service.impl;

import com.engine.core.impl.Service;
import com.engine.kq.cmd.grouplocation.DelGroupLocationCmd;
import com.engine.kq.cmd.grouplocation.GetGroupLocationFormCmd;
import com.engine.kq.cmd.grouplocation.GetGroupLocationListCmd;
import com.engine.kq.cmd.grouplocation.SaveGroupLocationCmd;
import com.engine.kq.service.KQGroupLocationService;
import weaver.hrm.User;

import java.util.Map;

public class KQGroupLocationServiceImpl extends Service implements KQGroupLocationService {
  @Override
  public Map<String, Object> save(Map<String, Object> params, User user) {
    return commandExecutor.execute(new SaveGroupLocationCmd(params, user));
  }

  @Override
  public Map<String, Object> del(Map<String, Object> params, User user) {
    return commandExecutor.execute(new DelGroupLocationCmd(params, user));
  }

  @Override
  public Map<String, Object> getForm(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetGroupLocationFormCmd(params, user));
  }

  @Override
  public Map<String, Object> getGroupLocationList(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetGroupLocationListCmd(params, user));
  }
}
